//
// ExtJSTest.h
//
// $Id: //poco/Main/WebWidgets/ExtJS/testsuite/src/ExtJSTest.h#13 $
//
// Definition of the ExtJSTest class.
//
// Copyright (c) 2007, Applied Informatics Software Engineering GmbH.
// and Contributors.
//
// Permission is hereby granted, free of charge, to any person or organization
// obtaining a copy of the software and accompanying documentation covered by
// this license (the "Software") to use, reproduce, display, distribute,
// execute, and transmit the Software, and to prepare derivative works of the
// Software, and to permit third-parties to whom the Software is furnished to
// do so, all subject to the following:
// 
// The copyright notices in the Software and this entire statement, including
// the above license grant, this restriction and the following disclaimer,
// must be included in all copies of the Software, in whole or in part, and
// all derivative works of the Software, unless such copies or derivative
// works are solely in the form of machine-executable object code generated by
// a source language processor.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
// SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
// FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.
//


#ifndef ExtJSTest_INCLUDED
#define ExtJSTest_INCLUDED


#include "Poco/WebWidgets/ExtJS/ExtJS.h"
#include "CppUnit/TestCase.h"


class ExtJSTest: public CppUnit::TestCase
{
public:
	ExtJSTest(const std::string& name);
	~ExtJSTest();

	void testPage();
	void testPage2();
	void testButton();
	void testFormTextField();
	void testFormTimeField();
	void testFormDateField();
	void testFormPassword();
	void testFormNumberField();
	void testFormComboBox();
	void testFormTextEdit();
	void testDateFormatConversion();
	void testFormImageButton();
	void testFormCheckButton();
	void testFormRadioButton();
	void testFormGridLayout();
	void testFormGridLayoutNullElements();
	void testFormHorizontalLayout();
	void testFormVerticalLayout();
	void testFormFrameGridLayout();
	void testFormFrameHorizontalLayout();
	void testFormFrameVerticalLayout();
	void testFormImage();
	void testFormListBox();
	void testTabView();
	void testCollapsible();
	void testCollapsible2();
	void testPanel();
	void testRootPanel();
	void testNestedPanels();
	void testListBox();
	void testFunction();
	void testTable();
	void testTableEdit();
	void testTableComboBox();
	void testTableButton();
	void testTableImageButton();
	void testJSEvent();
	void testJSEvent2();
	void testButtonRename();
	void testPanelShowHide();
	void testHorizontalLayout();
	void testVerticalLayout();
	void testGridLayout();
	void testGridLayout2();
	void setUp();
	void tearDown();

	static CppUnit::Test* suite();

private:
};


#endif // ExtJSTest_INCLUDED
